# AI Assistant  

## Overview  

An AI Assistant is an application or tool based on artificial intelligence technologies, designed to provide intelligent support and assistance to users through natural language processing, machine learning, computer vision, and other technologies. AI Assistants can perform a variety of tasks.  

### How to Open  

#### AI Assistant Not Launched  

When the AI Assistant is not running, open it via the Start Menu.  

<img src="image/开始菜单打开AI助手.jpg" alt="Open AI Assistant from Start Menu" style="zoom: 100%;" />  

Figure 1: Open AI Assistant from Start Menu  

#### AI Assistant Launched  

After the AI Assistant is launched, it can be reopened in the following ways:  

(1) Open the Assistant from the system tray icon.  

<img src="image/托盘区图标.jpg" alt="System Tray Icon" style="zoom: 100%;" />  

Figure 2: Open AI Assistant from System Tray  

(2) Open the AI Assistant from the Start Menu icon.  

(3) Use the shortcut **Win + C** to open the AI Assistant.  

(4) Use the floating toolbar command **Win + Alt + C** to open the floating toolbar.    

### Basic Operations  

#### Homepage Display  

The homepage prominently displays AI plugin entries, allowing users to quickly locate and access various AI plugins for enhanced convenience.  

#### Left Navigation Bar  

Provides multiple functional entries, including:  
- "New Conversation"  
- "Conversation History"  
- "Search Conversation History"  
- "Edit Conversation History"  
- "AI Plugin Entry"  

These entries allow users to easily manage and review their conversation history, quickly create new conversations, and access extended AI plugin functionalities.  

<img src="image/左侧导航栏.jpg" alt="Left Navigation Bar" style="zoom: 100%;" />  

Figure 5: AI Assistant Left Navigation Bar  

#### Switching View Modes  

Users can switch between **Window Mode** and **Sidebar Mode**.  

<img src="image/视图模式.jpg" alt="View Mode" style="zoom: 100%;" />  

Figure 6: View Mode  

**Sidebar Mode**  

<img src="image/侧边栏模式.jpg" alt="Sidebar Mode" style="zoom: 100%;" />  

Figure 7: Sidebar Mode  

#### Settings  

In the settings interface, users can:  
- Add prompt templates.  
- Enable or disable the floating toolbar.  

<img src="image/设置.jpg" alt="Settings" style="zoom: 100%;" />  

Figure 8: Settings  

#### Help  

Click "Help" in the menu bar to open the AI Assistant user manual.  

<img src="image/帮助.jpg" alt="Help" style="zoom: 80%;" />  

Figure 9: User Manual  

#### About  

Click "About" to view information about the AI Assistant.  

#### All Commands & AI Plugins  

In the sidebar navigation, users can freely toggle between "Expand" and "Collapse" to show or hide the list of commands and plugins. Additionally, users can manage selected AI plugins, including removing or switching plugins, to customize their workflow.  

#### Quick Text Processing  

##### Supported Command Functions  

The system supports various intelligent commands, including but not limited to:  

- **Text Expansion**: Automatically expands and optimizes text content.  
- **Text Polishing**: Improves fluency and professionalism, correcting grammar and spelling errors.  
- **Chinese-English Translation**: Provides quick translation between Chinese and English.  
- **System Q&A**: Offers intelligent assistance for daily tasks, such as scheduling and reminders.  
- **Weekly Report Organization**: Quickly compiles and generates weekly reports.  
- **Content Proofreading**: Thoroughly checks and optimizes text.  
- **Summarization**: Generates concise summaries of provided text.  
- **To-Do Generation**: Creates task lists based on user input.  
- **Schedule Creation**: Automatically adds schedules for better time management.  
- **System Control**: The AI Assistant can open system applications or features, such as Bluetooth, Wi-Fi, or WPS.  

##### Dialog Box Functions  

Users can perform various operations via the input box, including:  
- **Activating Commands**: Quickly execute specific tasks.  
- **Uploading Images**: Process or recognize uploaded images.  
- **Uploading Documents**: Extract or process uploaded documents.  
- **Voice Chat**: Interact with the AI via voice input.  
- **Right-Click Menu**: Provides quick-access functions.  

#### Knowledge Q&A  

The user dialog box supports:  
- Displaying template command tags.  
- Right-click copy functionality.  
- Image and document display.  

The AI dialog box supports:  
- Regenerating responses.  
- Copying, reading aloud.  
- Displaying the current model name.  
- Generating, previewing, downloading, and copying images.  
- Locating files (for local image processing).  

##### Text Chat  

**Text Chat** in AI applications refers to users interacting with the AI system via text input. The AI processes the input using natural language processing (NLP) to generate responses.  

###### Text Chat Homepage  

Key features include:  
1. **Text Understanding (NLU)**: Analyzes grammar, semantics, and context to identify user intent.  
2. **Dialogue Management**: Ensures coherent and logical conversation flow.  
3. **Text Generation (NLG)**: Produces natural and fluent responses.  

<img src="image/文本对话.jpg" alt="Text Chat" style="zoom: 100%;" />  

Figure 10: AI Assistant Text Chat Page  

###### Start New Topic  

The "Start New Topic" button resets the conversation context, ensuring the AI does not reference previous interactions.  

<img src="image/开启新话题.jpg" alt="Start New Topic" style="zoom: 100%;" />  

Figure 11: AI Assistant - Start New Topic  

###### Regenerate Response  

Allows users to request a new response if the initial one is unsatisfactory.  

<img src="image/重新回答.jpg" alt="Regenerate Response" style="zoom: 100%;" />  

Figure 12: AI Assistant - Regenerate Response  

###### Copy  

<img src="image/复制.jpg" alt="Copy" style="zoom: 100%;" />  

Figure 13: AI Assistant - Copy Function  

###### Read Aloud  

<img src="image/朗读.jpg" alt="Read Aloud" style="zoom: 100%;" />  

Figure 14: AI Assistant - Read Aloud Function  

###### Like/Dislike Feedback  

<img src="image/点赞点踩.jpg" alt="Like/Dislike" style="zoom: 100%;" />  

Figure 15: AI Assistant - Like/Dislike Feedback  

##### Text-to-Image  

Generates images based on text descriptions using AI.  

##### Schedule Addition  

**Start Adding**    

**Successfully Added**  

##### Image Processing  

##### Conversation History  

<img src="image/历史对话清除1.jpg" alt="Clear History" style="zoom: 50%;" />  

Figure 20: AI Assistant - Clear Conversation History  

#### Drag-and-Drop File Function  

Supports local file processing (images, audio/video, documents, etc.).  

<img src="image/文档拖入.jpg" alt="Drag-and-Drop" style="zoom: 100%;" />  

Figure 21: AI Assistant - Drag-and-Drop Files  

#### System Control  

The AI Assistant can open system applications or features, such as Bluetooth, Wi-Fi, or WPS.  

#### Voice Input  

Converts user speech to text using advanced speech recognition.  

<img src="image/语音输入.jpg" alt="Voice Input" style="zoom: 100%;" />  

Figure 22: AI Assistant - Voice Chat  

### Smart Text Selection  

Highlight text to summon a floating toolbar with preset commands:  
- Fixed commands: Text expansion, polishing, translation.  
- Other commands: System assistant, to-do generation, weekly reports, proofreading, summarization, schedule creation.  

Press **Win + Alt + C** to show/hide the toolbar.  

Default fixed commands: Text expansion, polishing, translation.  
Additional commands: System Q&A, weekly reports, proofreading, summarization, to-do generation, schedule creation, system control.   

#### Right-Click Menu  

Hover for "Send to AI Assistant" prompt.  
- Left-click: Execute the selected content with AI tools.  
- Right-click: Open the context menu.  

<img src="image/划词悬浮条-右键菜单.jpg" alt="Right-Click Menu" style="zoom: 100%;" />  

Figure 25: AI Assistant - Floating Toolbar Right-Click Menu  

### Meeting Assistant  

Uses speech recognition to automatically record meetings and generate summaries or transcripts.  

#### Homepage  

<img src="image/会议助手入口.jpg" alt="Meeting Assistant Homepage" style="zoom: 100%;" />  

Figure 26: AI Assistant - Meeting Assistant Homepage  

#### Recording Page  

Features real-time transcription, speaker identification, and editing.  

#### Bottom Toolbar  

Stop/pause recording, meeting duration, input audio waves.  

#### Feedback Dialog  

Replaces the default "Assistant Icon + AI Assistant" with "Meeting Icon + Meeting Assistant."  

### AI Module Management  

#### Model Configuration  

##### Cloud Models  

Configure text, image, and speech models.  

<img src="image/模型配置.jpg" alt="Model Configuration" style="zoom: 100%;" />  

Figure 28: Cloud Model Configuration  

##### Text Models  

Used for NLP tasks like classification, translation, and text generation.  

##### Image Models  

Used for computer vision tasks like classification, object detection, and facial recognition.  

##### Speech Models  

Used for speech-to-text, voice commands, and speech synthesis.  

Models can be added, deleted, or edited.  

##### Local Models  

Run locally without an internet connection.  

<img src="image/本地模型.jpg" alt="Local Models" style="zoom: 100%;" />  

Figure 29: Local Model Configuration  

##### Custom Models  

Flexible model management for personalized use cases.  

<img src="image/自选模型.jpg" alt="Custom Models" style="zoom: 100%;" />  

Figure 30: Custom Model Configuration