# AI助手

## 概述

AI助手是一种基于人工智能技术的应用程序或工具，旨在通过自然语言处理、机器学习、计算机视觉等技术，为用户提供智能化的帮助和支持。AI助手可以执行多种任务。



### 打开方式



#### 未启动AI助手

AI助手未启动时，通过开始菜单打开AI助手。

<img src="image/开始菜单打开AI助手.jpg" alt="开始菜单打开AI助手" style="zoom: 100%;" />

图1  AI助手开始菜单-打开AI助手

#### 启动AI助手

AI助手启动后通过以下方式二次唤起：

（1）托盘区图标打开助手。

<img src="image/托盘区图标.jpg" alt="托盘区图标" style="zoom: 100%;" />

图2  AI助手托盘区图标-打开AI助手

（2）开始菜单图标打开AI助手。

（3）快捷键 Win+C打开AI助手。


（4）划词悬浮条指令 win+alt+c打开划词悬浮条

<img src="image/划词悬浮条.jpg" alt="划词悬浮条" style="zoom: 100%;" />


​ 图3  AI助手划词悬浮条-打开AI助手



### 基本操作



#### 主页展示

主页界面突出显示AI插件入口，方便用户一目了然地找到并快速访问各种AI插件，提升操作的便捷性。

<img src="image/首页.jpg" alt="首页" style="zoom: 100%;" />

图4  AI助手首页

#### 左侧导航栏

​		提供多个功能入口，包括“新建对话”、“历史对话”、“搜索历史对话”、“编辑历史对话”以及“AI插件入口”。通过这些入口，用户可以方便地管理和查阅自己的对话历史，快速创建新的对话，并访问扩展的AI插件功能。

<img src="image/左侧导航栏.jpg" alt="左侧导航栏" style="zoom:100%;" />

​图5  AI助手左侧导航栏


#### 切换视图模式

用户可以在窗口模式和侧边栏模式来回切换


<img src="image/视图模式.jpg" alt="视图模式" style="zoom:100%;" />

图6  视图模式


侧边栏模式

<img src="image/侧边栏模式.jpg" alt="侧边栏模式" style="zoom:100%;" />

图7  侧边栏模式


#### 设置

用户可以在设置界面添加提示词模板，启动和禁用划词悬浮条。

<img src="image/设置.jpg" alt="设置" style="zoom:100%;" />

图8  设置

#### 帮助

在菜单栏中点击“帮助”可打开AI助手的用户手册。

<img src="image/帮助.jpg" alt="帮助" style="zoom:100%;" />

图9  用户手册

#### 关于

点击“关于”，可查看AI助手的关于信息。


#### 全部指令 & AI 插件

​		在侧边导航栏中，用户可以自由切换“更多”与“收起”功能，展开或折叠指令和插件列表。此外，用户可以对已选中的AI插件进行管理，支持移除或切换插件，从而轻松定制个人的工作流和插件使用。


#### 快捷文本处理

##### 支持的指令功能

系统支持多种智能指令，包括但不限于：

**文本扩写**：自动扩展并优化文本内容，丰富语言表达。

**文本润色**：提升文本的流畅度和专业性，纠正语法和拼写错误。

**中英互译**：实现中英文之间的快速翻译，支持多种语言互译功能。

**系统问答**：提供日常工作中的智能辅助，如日程安排、任务提醒等。

**整理周报**：快速整理和生成周报，自动总结一周的工作进展。

**内容校对**：对文本内容进行详细校对，纠正错误并优化表达。

**总结概括**：根据用户提供的文本，生成简洁明了的概述或总结。

**生成待办**：根据用户的需求自动创建待办事项，帮助用户清晰规划任务。

**新建日程**：自动创建添加日程，确保工作安排井然有序。

**系统控制**：AI助手通过系统控制打开系统内的应用或者功能，如打开蓝牙、网络、wps等应用。



##### 对话框功能

用户可以通过输入框执行各种操作，包括：

**打开指令**：激活特定的指令功能以快速完成任务。

**上传图片**：允许用户上传图片文件进行处理或识别。

**上传文档**：支持上传不同类型的文档文件，进行数据提取或处理。

**语音对话**：通过语音输入与AI进行互动，实现更自然的沟通方式。

**右键菜单**：提供快捷的右键菜单，快速执行相关功能和操作。






#### 知识问答

​用户对话框——支持模板指令标签显示、右键菜单复制功能、支持图片显示、支持文档显示。AI 对话框——支持重新回答、复制、朗读、显示当前模型名称角标、生成图片、图像预览、图像下载、图像复制、文件所在位置（本地图片处理）。


##### 文本对话

​AI应用中的**文本对话**指的是用户通过文本输入与人工智能系统进行交互的一种方式。在这种模式下，用户通过键盘输入文字，AI通过自然语言处理（NLP）技术理解并生成响应的文本回复。这种交互方式常见于聊天机器人、虚拟助手、智能客服等应用中。


###### 文本对话主页

文本对话的主要功能包括：

1. **文本理解（自然语言理解）**：AI系统会处理用户输入的文本，分析其语法、语义和上下文，以识别出用户的意图和需求。通过技术如分词、实体识别、情感分析等，AI能够理解用户所表达的具体意思。
2. **对话管理**：基于对用户输入的理解，AI会决定如何回复，并管理对话的流向，确保对话保持连贯和逻辑性。对话管理包括上下文追踪和用户意图识别，以便AI提供准确的响应。
3. **文本生成（自然语言生成）**：AI生成并输出文本回复。这一过程通过自然语言生成技术来实现，使得AI的回应不仅准确，而且能够用自然、流畅的语言表达。

<img src="image/文本对话.jpg" alt="文本对话" style="zoom:100%;" />


图10  AI助手-文本对话页面


###### 开启新话题

​AI助手对话中的“开启新话题”按钮通常用于清除当前对话的历史上下文或状态。这意味着，用户点击该按钮后，AI助手将不再记得之前对话的内容，并且每次响应时都将基于新的、独立的输入进行处理。

具体作用包括：

1. **重置对话状态**：开启新话题后，AI将不会记得之前的对话内容，恢复到最初的状态。适用于当用户希望从头开始新的对话时。
2. **避免误导**：在一些情况下，AI可能会基于历史对话内容产生误解或偏差，清除上下文可以确保AI不会继续错误地关联先前的信息。

<img src="image/开启新话题.jpg" alt="开启新话题" style="zoom:100%;" />

图11  AI助手-开启新话题


###### 重新回答

​AI助手中的**重新回答**功能指的是在用户对AI的初次回应不满意或不准确时，用户可以请求AI重新生成一个回答。这个功能通常用于提高对话的准确性和用户体验，尤其是在AI给出的答案不完全符合用户的预期时。

具体来说，**重新回答**功能的作用有以下几方面：

1. **纠正不准确或不完整的回答**：如果AI助手给出的回答包含错误、遗漏或不相关的内容，用户可以选择要求重新回答。AI会重新分析用户问题，并提供更合适或更准确的答案。
2. **提供更多选择或解释**：有时，AI的回答可能过于简短或缺乏足够的信息，用户可以请求重新回答，期望AI提供更多的细节、选项或解释，以便更好地满足需求。
3. **适应用户反馈**：如果AI的初始回答没有完全理解用户的意图或问题，重新回答功能使得AI能够根据用户反馈调整答案，改进对问题的理解和响应质量。
4. **改善对话体验**：用户通过重新回答功能可以逐步精确自己的问题，AI根据新的输入或修正的要求来调整答案，从而提供更加满意的服务。

<img src="image/重新回答.jpg" alt="重新回答" style="zoom:100%;" />

图12  AI助手-重新回答功能图


###### 复制

<img src="image/复制.jpg" alt="复制" style="zoom:100%;" />

图13  AI助手-复制功能图


###### 朗读

<img src="image/朗读.jpg" alt="朗读" style="zoom:100%;" />

图14  AI助手-朗读功能

###### 点赞点踩功能

<img src="image/点赞点踩.jpg" alt="点赞点踩" style="zoom:100%;" />

图15  AI助手-点赞点踩功能

##### 文生图

**AI助手文生图**（即文本生成图像）是一项基于人工智能的技术，能够根据用户提供的文本描述自动生成相应的图像。通过自然语言处理和计算机视觉的结合，AI能够理解文字中的内容，并将其转化为符合描述的视觉图像。

<img src="image/文生图.jpg" alt="文生图" style="zoom:100%;" />


图16  AI助手-文生图

##### 日程添加

开始添加

<img src="image/日程添加1.jpg" alt="日程添加1" style="zoom:100%;" />

图17  AI助手-日程添加

添加成功

<img src="image/日程添加2.jpg" alt="日程添加2" style="zoom:100%;" />

图18  AI助手-日程添加成功


##### 图片处理

<img src="image/图片处理.jpg" alt="图片处理" style="zoom:100%;" />

图19 AI助手-图片处理

##### 历史对话

<img src="image/历史对话清除1.jpg" alt="历史对话清除1" style="zoom:100%;" />

​图20  AI助手-历史对话清除

#### 文档拖入功能

本地文件处理-拖入（图像、音视频、文档...）

<img src="image/文档拖入.jpg" alt="文档拖入" style="zoom:100%;" />

​​图21  AI助手-文件拖入

#### 系统控制

AI助手通过系统控制打开系统内的应用或者功能，如打开蓝牙、网络、wps等应用。

​
#### 语音输入

将用户的语音转换为文本，识别用户说的话。这是语音对话系统的基础，依赖于先进的语音识别技术，如深度学习模型来提高准确性。

<img src="image/语音输入.jpg" alt="语音输入" style="zoom:100%;" />

​图22 AI助手-语音对话页面

### 智能划词

​划词唤起悬浮条，悬浮条智能位置显示。预设指令模板提供：固定指令：文本扩写、文本润色、中英互译其他指令：系统助手、生成待办、整理周报、内容校对、总结概况、新建日程。悬浮条 AI 直接对话入口。悬浮条右键菜单：跳转至首页、禁用、设置、关闭。

​指针进行划词后：按下“Win+Alt+C”弹出 AI 悬浮条；再次按下“Win+Alt+C”隐藏 AI 悬浮条


<img src="image/划词悬浮条.jpg" alt="划词悬浮条" style="zoom:100%;" />

​
图23 AI助手-划词悬浮条

默认固定：文本扩写、文本润色、中英互译。
更多指令：系统问答、整理周报、内容校对、总结概括、生成待办、新建日程、系统控制。

<img src="image/划词悬浮条-1.jpg" alt="划词悬浮条-1" style="zoom:100%;" />

图24 划词悬浮条全部指令​

​																								
### 右键菜单

鼠标hover 提示“发送至 AI 助手”。左键，用 AI 工具执行所选内容；右键，唤起右键菜单。

<img src="image/划词悬浮条-右键菜单.jpg" alt="划词悬浮条-右键菜单" style="zoom:100%;" />

图25 AI助手-划词悬浮条-右键菜单
​

### 会议助手

​		会议助手采用语音识别技术能够自动记录会议内容，并提供摘要或完整的会议纪要，方便用户后续查阅和回顾。记录列表
按记录项目新旧排序总结项目：会议原文、智能总结、现场音频。查看总结、查看所在位置。

#### 首页

<img src="image/会议助手入口.jpg" alt="会议助手入口" style="zoom:100%;" />


图26 AI助手-会议助手首页

#### 录制页

对话框、语音实时转文字、发言人识别、发言人名称修改、开始发言、结束发言时间、对话框模型名称角标。

<img src="image/录制页.jpg" alt="录制页" style="zoom: 100%;" />

​图27 会议助手-录制页

#### 底部工具条

停止记录、暂停记录、会议时长、输入音波、暂停记录时，工具条置灰。

#### 反馈对话框

​将原有的“助手图标+AI 助手”改为“会议图标+会议助手”；点击结束记录or 暂停记录时：继续记录、结束并保存；点击返回时：继续记录、结束并保存；总结完成后：总结文档所在路径、回到首页、所在位置。




### AI模块管理

#### 模型配置

##### 云端模型

配置文本类模型、图像类模型、语音类模型。

<img src="image/模型配置.jpg" alt="模型配置" style="zoom: 100%;" />

图28 云端模型配置页


##### 文本类模型

文本类模型指的是自然语言处理模型，专门用于理解和生成人类语言。NLP的核心目标是让计算机能够像人类一样理解、分析、生成和交互自然语言（如英语、中文等）。

**文本分类**：将文本自动分类到预定的类别中，例如垃圾邮件过滤、情感分析等。

**机器翻译**：将一种语言的文本自动翻译为另一种语言（如Google Translate）。

**语义理解**：理解文本中的意图和含义，例如自动问答系统。

**文本生成**：基于输入生成相关的文本，如聊天机器人、内容生成等。

**命名实体识别 (NER)**：识别文本中的特定信息，如人名、地点名、时间等。

##### 图像类模型

图像类模型指的是计算机视觉模型，专门用于让计算机理解和处理图像数据。这类模型通过对图像的深度学习建模，实现图像的生成、编辑与内容提取等功能。

**图片生成**：基于文本描述或其他图像信息，生成符合要求的新图像，广泛应用于艺术创作、广告设计等领域。

**图片提取**：从复杂场景中提取指定目标或图像区域，如提取证件照片、产品图等。

**生成黑白件**：将彩色图像转换为黑白图，适用于档案存储、证件处理等场景。

**抠图功能**：智能识别图像中的前景和背景，去除背景，仅保留主体，常用于人物肖像、商品图像处理等应用

##### 语音类模型

语音类模型指的是语音识别模型，专门用于将人类的语音信号转化为文本。语音识别技术使计算机能够理解和处理语音输入，广泛应用于语音助手、自动语音翻译等领域。

**语音转文本**：将人类语音转换成文本，例如Siri、Alexa等语音助手的核心技术。

**语音识别**：通过语音命令控制设备，例如智能家居控制、车载语音助手等。



模型也是可以添加、删除、编辑


##### 本地模型
​
模型安装在本地上，无需网络也能运行。

<img src="image/本地模型.jpg" alt="本地模型" style="zoom: 100%;" />

图29 本地模型配置页

##### 自选模型

灵活的模型管理方式，满足个性化使用场景

<img src="image/自选模型.jpg" alt="自选模型" style="zoom: 100%;" />

图30 自选模型配置页
​	

